QuattroSpreadsheetInternal::Style Struct Referencefinal

a class used to store a style of a cell in QuattroSpreadsheet More...

Inheritance diagram for QuattroSpreadsheetInternal::Style:

## Public Member Functions
| Style (libwps_tools_win::Font::Type type)
| construtor
| Style (Style const &)=default
| ~Style () final
| destructor
bool | operator== (Style const &st) const
| operator==
bool | operator!= (Style const &st) const
| operator!=
Public Member Functions inherited from WPSCellFormat
| WPSCellFormat ()
| constructor
| WPSCellFormat (WPSCellFormat const &)=default
WPSCellFormat & | operator= (WPSCellFormat const &)=default
virtual | ~WPSCellFormat ()
| destructor
bool | hasBasicFormat () const
| returns true if this is a basic format style
std::string | getValueType () const
| returns a value type
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the number style
WPSFont const & | getFont () const
| returns the font
void | setFont (WPSFont const &font)
| sets the font
HorizontalAlignment | hAlignment () const
| returns the horizontal alignement
void | setHAlignment (HorizontalAlignment align)
| sets the horizontal alignement
VerticalAlignment | vAlignment () const
| returns the vertical alignement
void | setVAlignment (VerticalAlignment align)
| sets the vertical alignement
Wrapping | wrapping () const
| returns the wrapping
void | setWrapping (Wrapping align)
| sets the wrapping
int | getTextRotation () const
| returns the text rotation angle
void | setTextRotation (int rotation)
| sets the text rotation angle
FormatType | getFormat () const
| returns the format type
int | getSubFormat () const
| returns the subformat type
std::string | getDTFormat () const
| returns the date/time format ( if set)
void | setFormat (FormatType form, int subForm=0)
| sets the format type
void | setDTFormat (FormatType form, std::string const &dtFormat="")
| sets the format type
int | digits () const
| returns the number of digits ( for a number)
void | setDigits (int newDigit)
| set the number of digits ( for a number)
bool | isProtected () const
| returns true if the cell is protected
void | setProtected (bool fl)
| returns true if the cell is protected
bool | hasBorders () const
| return true if the cell has some border
std::vector< WPSBorder > const & | borders () const
| return the cell border: libwps::LeftBit | ...
void | resetBorders ()
| reset the border
void | setBorders (int wh, WPSBorder const &border)
| sets the cell border: wh=WPSBorder::LeftBit|...
void | setBorders (std::vector< WPSBorder > const &newBorders)
| sets the cell borders
WPSColor | backgroundColor () const
| returns the background color
void | setBackgroundColor (WPSColor const &color)
| set the background color
int | compare (WPSCellFormat const &cell, bool onlyNumbering=false) const
| a comparison function

## Public Attributes
libwps_tools_win::Font::Type | m_fontType
| font encoding type
int | m_fileFormat
| the file format
bool | m_alignAcrossColumn
| flag to know if we must align across column
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Style const &style)
| operator<<

## Additional Inherited Members
Public Types inherited from WPSCellFormat
enum | HorizontalAlignment { HALIGN_LEFT , HALIGN_RIGHT , HALIGN_CENTER , HALIGN_FULL , HALIGN_DEFAULT }
| the default horizontal alignement. More...
enum | VerticalAlignment { VALIGN_TOP , VALIGN_CENTER , VALIGN_BOTTOM , VALIGN_DEFAULT }
| the default vertical alignement. More...
enum | Wrapping { WRAP_WRAP , WRAP_NO_WRAP , WRAP_DEFAULT }
| the wrapping More...
enum | FormatType { F_TEXT , F_BOOLEAN , F_NUMBER , F_DATE , F_TIME , F_UNKNOWN }
| the different types of cell's field More...
Static Protected Member Functions inherited from WPSCellFormat
static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propListVector)
| convert a DTFormat in a propertyList
Protected Attributes inherited from WPSCellFormat
WPSFont | m_font
| the cell font ( used in spreadsheet code )
HorizontalAlignment | m_hAlign
| the cell alignement : by default nothing
VerticalAlignment | m_vAlign
| the cell vertical alignement : by default nothing
Wrapping | m_wrapping
| the wrapping : by default nothing
int | m_rotation
| the text rotation
std::vector< WPSBorder > | m_bordersList
| the cell border WPSBorder::Pos
FormatType | m_format
| the cell format : by default unknown
int | m_subFormat
| the sub format
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format )
int | m_digits
| the number of digits
bool | m_protected
| cell protected
WPSColor | m_backgroundColor
| the backgroung color

## Detailed Description

a class used to store a style of a cell in QuattroSpreadsheet

## Constructor & Destructor Documentation

## ◆ Style() [1/2]

QuattroSpreadsheetInternal::Style::Style | ( | libwps_tools_win::Font::Type | type | ) |
| inline explicit

construtor

Referenced by operator!=(), operator<<, operator==(), and Style().

## ◆ Style() [2/2]

QuattroSpreadsheetInternal::Style::Style | ( | Style const & |  | ) |
| default

## ◆ ~Style()

QuattroSpreadsheetInternal::Style::~Style | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ operator!=()

bool QuattroSpreadsheetInternal::Style::operator!= | ( | Style const & | st | ) | const
| inline

operator!=

## ◆ operator==()

bool QuattroSpreadsheetInternal::Style::operator== | ( | Style const & | st | ) | const

operator==

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Style const & | style )
| friend

operator<<

## Member Data Documentation

## ◆ m_alignAcrossColumn

bool QuattroSpreadsheetInternal::Style::m_alignAcrossColumn

flag to know if we must align across column

Referenced by operator==(), QuattroSpreadsheet::readCellStyle(), and Style().

## ◆ m_extra

std::string QuattroSpreadsheetInternal::Style::m_extra

extra data

Referenced by operator<<, operator==(), and Style().

## ◆ m_fileFormat

int QuattroSpreadsheetInternal::Style::m_fileFormat

the file format

Referenced by operator<<, operator==(), QuattroSpreadsheet::readCellStyle(), and Style().

## ◆ m_fontType

libwps_tools_win::Font::Type QuattroSpreadsheetInternal::Style::m_fontType

font encoding type

Referenced by operator==(), QuattroSpreadsheet::readCellStyle(), and Style().

The documentation for this struct was generated from the following file:

- QuattroSpreadsheet.cpp